SDL_WarpMouseGlobal(3)

NAME
SDL_WarpMouseGlobal - Move the mouse to the given position in global screen space.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_WarpMouseGlobal(float x, float y);

DESCRIPTION
This function generates a mouse motion event. A failure of this function usually means that it is unsupported by a platform. Note that this function will appear to succeed, but not actually move the mouse when used over Microsoft Remote Desktop.

FUNCTION PARAMETERS

x   the x coordinate

y   the y coordinate

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_WarpMouseInWindow(3)